<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/web/thymeleaf/layout" layout:decorator="layout">
<head>
<title>Users : Create</title>
</head>
<body>
    <!--/*@thymesVar id="recipe" type="com.maurofokker.security.acl.model.User"*/-->
    <h1 layout:fragment="header">Users : Create</h1>
    <div layout:fragment="content" class="container">
        <form id="userForm" th:action="@{/user/(form)}" th:object="${user}" action="#" method="post">
            <div th:if="${#fields.hasErrors('*')}" class="alert alert-error">
                <p th:each="error : ${#fields.errors('*')}" th:text="${error}">Validation error</p>
            </div>
            <div class="pull-right">
                <a th:href="@{/user/}" href="users.html"> Users </a>
            </div>
            <input type="hidden" th:field="*{id}" th:class="${#fields.hasErrors('id')} ? 'field-error'" />

            <label for="company">Company</label>
            <input id="company" type="text" th:field="*{company}"  />

            <label for="email">Email</label>
            <input type="email" th:field="*{email}" th:class="${#fields.hasErrors('email')} ? 'field-error'" />
            <label for="password">Password</label>
            <input type="password" th:field="*{password}" th:class="${#fields.hasErrors('password')} ? 'field-error'" />
            <label for="passwordConfirmation">Password Confirmation</label>
            <input type="password" th:field="*{passwordConfirmation}" th:class="${#fields.hasErrors('passwordConfirmation')} ? 'field-error'" />
            <div class="form-actions">
                <input type="submit" value="Save" />
            </div>
        </form>
    </div>
</body>
</html>
